Bug 13748 - Acquisition wizard: some strings not translatable
Summary: Acquisition wizard: some strings not translatable
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 766
  Show dependency treegraph
 
Reported: 2015-02-22 10:04 UTC by Katrin Fischer
Modified: 2015-12-03 22:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13748: Acquisition wizard: some strings not translatable (8.99 KB, patch)
2015-03-10 15:08 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 13748: Acquisition wizard: some strings not translatable (8.83 KB, patch)
2015-03-10 15:10 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[Signed-off] Bug 13748: Acquisition wizard: some strings not translatable (9.02 KB, patch)
2015-03-10 17:31 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 13748: Acquisition wizard: some strings not translatable (9.10 KB, patch)
2015-03-15 22:29 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-02-22 10:04:36 UTC
Under Reports > Acquisition wizard appear 2 untranslatable strings in the pull downs:

- All item types
- All funds
Comment 1 Marc Véron 2015-02-24 16:48:22 UTC
"All item types ":
See reports/acquisitions/stats.pl line 128

"All funds":
See line 147


Additionally, 'Collection code' seems not to be translated (first column), it is related to a variable $ccode_lable that is set in reports/acquisitions/stats.pl line 237, and this variable depends on GetMarcSubfieldsStructureFromKohaField (C4/Bilio.pm)
Comment 2 Bernardo Gonzalez Kriegel 2015-03-10 15:08:46 UTC Comment hidden (obsolete)
Comment 3 Bernardo Gonzalez Kriegel 2015-03-10 15:10:25 UTC Comment hidden (obsolete)
Comment 4 Marc Véron 2015-03-10 17:31:54 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2015-03-15 22:29:56 UTC
Created attachment 36904 [details] [review]
[PASSED QA] Bug 13748: Acquisition wizard: some strings not translatable

This patch removes all instances of CGI::scrolling_list from
reports/acquisitions_stats.pl, which prevented proper translation

To test:
1) Install and enable a language (es-ES or de-DE are good choices)
2) On Acquisitons wizard, some pulldown labels are not translated
3) Apply the patch
4) Update and install again the language
5) Check labels are translated and all pulldown works

This does not solve the 'Collection code' problem,
is more strange

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works as described, good improvement.
Comment 6 Tomás Cohen Arazi 2015-03-19 17:11:16 UTC
Patch pushed to master.

Thanks Bernardo!
Comment 7 Chris Cormack 2015-03-27 23:53:22 UTC
Pushed to 3.18.x will be in 3.18.6